diff --git a/sbin/dm_prepare_dev_config.sh b/sbin/dm_prepare_dev_config.sh
index eafff5c59ae795d15fb0f685942e17660d976d1b..f363f8f3cb229428a3901f6fcc050a742bf378f3 100755
--- a/sbin/dm_prepare_dev_config.sh
+++ b/sbin/dm_prepare_dev_config.sh
@@ -65,6 +65,11 @@ if [ ! -f "$DM_SYSTEM_PASSWORD_FILE" ]; then
     stty $sttyOrig
     echo $DM_SYSTEM_PASSWORD > $DM_SYSTEM_PASSWORD_FILE
     chmod 600 $DM_SYSTEM_PASSWORD_FILE
+
+    # Add dm system user to the DB
+    echo "Adding $DM_SYSTEM_USER system user to the database"
+    dm-add-user --username=$DM_SYSTEM_USER --first-name=System --last-name=Account --password-file=$DM_SYSTEM_PASSWORD_FILE || exit 1
+    dm-add-user-system-role --username=$DM_SYSTEM_USER --role-name=Administrator || exit 1
 fi
 
 echo "Generating web service config files"